Bug 21803 - Redesign authorized values interface
Summary: Redesign authorized values interface
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-09 16:07 UTC by Owen Leonard
Modified: 2019-01-14 14:09 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Screenshot showing the proposed interface (44.42 KB, image/png)
2018-11-09 16:07 UTC, Owen Leonard
Details
Bug 21803: Redesign authorized values interface (19.82 KB, patch)
2018-11-09 16:43 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21803: Redesign authorized values interface (19.89 KB, patch)
2018-11-09 20:20 UTC, Pierre-Marc Thibault
Details | Diff | Splinter Review
Bug 21803: Redesign authorized values interface (19.95 KB, patch)
2018-11-13 10:24 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-11-09 16:07:47 UTC
Created attachment 82178 [details]
Screenshot showing the proposed interface

The authorized values interface is unusual in that it loads the first category by default and category-switching only happens through a dropdown menu. I propose to make this page more like almost every other similar interface in Koha: Start with a table listing all the categories.
Comment 1 Owen Leonard 2018-11-09 16:43:47 UTC Comment hidden (obsolete)
Comment 2 Pierre-Marc Thibault 2018-11-09 20:20:38 UTC Comment hidden (obsolete)
Comment 3 Martin Renvoize 2018-11-13 10:24:43 UTC
Created attachment 82255 [details] [review]
Bug 21803: Redesign authorized values interface

This patch redesigns the authorized values management interface. The
primary change is that the initial view of authorized values is now a
table listing all authorized values categories and their descriptions.
Descriptions have been added or updated according to the text of the
manual.

To test, apply the patch and go to Administration -> Authorized values.

 - You should see a table of authorized values displayed in a
   DataTables-formatted table.
   - Click a category. You should be taken to the list of authorized
     values for that category. If there are none defined you should see
     a message saying so, including a button to add one.
   - Click the "Add" button next to an authorized value category. It
     should take you to the form for adding an authorized value to that
     category.

Signed-off-by: Pierre-Marc Thibault <pierre-marc.thibault@inLibro.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2018-11-13 10:25:52 UTC
This is a nice little enhancement. I don't especially like the hardcoded descriptions but they are translatable and there's lots of precedence for them.

Passing QA
Comment 5 Nick Clemens 2018-12-26 14:02:31 UTC
I agree with Martin about the descriptions, it makes me want to be able to add descriptions for user added categories, but I think that is future enhancement

I like that the breadcrumbs can take us back to the main list, but I think we need a more obvious button - it is unclear after clicking on a single category how to get back to the list. Could we have a 'Return to main page' button or similar?
Comment 6 Katrin Fischer 2018-12-28 07:11:08 UTC
If you look at the admin pages we often rely on the breadcrumbs for the way back, it's a well known pattern. You can also navigate back or use the navigation on the left. A button doesn't feel right to me - maybe because the translation of this would be horrible long :)
Comment 7 Nick Clemens 2019-01-11 13:33:43 UTC
Awesome work all!

Pushed to master for 19.05
Comment 8 Martin Renvoize 2019-01-14 14:09:31 UTC
Enhancement, will not be backported to 18.11.x series.